This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 717864 - (ghc-case-insensitive) Review Request: ghc-case-insensitive - Haskell case-insensitive string comparison
Review Request: ghc-case-insensitive - Haskell case-insensitive string compar...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
ready
:
Depends On:
Blocks: ghc-http-types
  Show dependency treegraph
 
Reported: 2011-06-30 04:40 EDT by Jens Petersen
Modified: 2011-08-30 21:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-case-insensitive-0.2.0.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-30 16:38:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Jens Petersen 2011-08-11 00:34:12 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3265315
Comment 2 Jens Petersen 2011-08-11 00:50:54 EDT
Updated to 0.2.0.2.  (I think we can update to 0.3.* later -
it is still not widely adopted in hackage and has
an additional dependency on hashable.)

Spec: http://petersen.fedorapeople.org/reviews/ghc-case-insensitive/ghc-case-insensitive.spec
SRPM: http://petersen.fedorapeople.org/reviews/ghc-case-insensitive/ghc-case-insensitive-0.2.0.2-1.fc15.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3265330
Comment 3 Narasimhan 2011-08-12 13:05:26 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i *.fc17*.rpm
ghc-case-insensitive.src: W: spelling-error %description -l en_US CaseInsensitive -> Case Insensitive, Case-insensitive, Casein sensitive
The value of this tag appears to be misspelled. Please double-check.

ghc-case-insensitive.src: W: spelling-error %description -l en_US parameterised -> parameter
The value of this tag appears to be misspelled. Please double-check.

ghc-case-insensitive.x86_64: W: spelling-error %description -l en_US CaseInsensitive -> Case Insensitive, Case-insensitive, Casein sensitive
The value of this tag appears to be misspelled. Please double-check.

ghc-case-insensitive.x86_64: W: spelling-error %description -l en_US parameterised -> parameter
The value of this tag appears to be misspelled. Please double-check.

ghc-case-insensitive-devel.x86_64: W: spelling-error %description -l en_US CaseInsensitive -> Case Insensitive, Case-insensitive, Casein sensitive
The value of this tag appears to be misspelled. Please double-check.

ghc-case-insensitive-devel.x86_64: W: spelling-error %description -l en_US parameterised -> parameter
The value of this tag appears to be misspelled. Please double-check.

3 packages and 0 specfiles checked; 0 errors, 6 warnings
[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK, based on cabalspec-0.24
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
Licensed as BSD.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum  ghc-case-insensitive-0.2.0.2-1.fc15.src/case-insensitive-0.2.0.2.tar.gz 
f3200712ba1054830773a53327e3ff2f  ghc-case-insensitive-0.2.0.2-1.fc15.src/case-insensitive-0.2.0.2.tar.gz

md5sum  ~/Downloads/case-insensitive-0.2.0.2.tar.gz
f3200712ba1054830773a53327e3ff2f  /home/narasimhan/Downloads/case-insensitive-0.2.0.2.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-case-insensitive
error: Failed dependencies:
        ghc-case-insensitive = 0.2.0.2-1.fc15 is needed by (installed) ghc-case-insensitive-devel-0.2.0.2-1.fc15.x86_64
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package, installs fine. Imported Data.CaseInsensitive in ghci. Works fiine
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 4 Jens Petersen 2011-08-17 05:53:22 EDT
Thank you for reviewing :)

New Package SCM Request
=======================
Package Name: ghc-case-insensitive
Short Description: Haskell case-insensitive string comparison
Owners: petersen
Branches: f14 f15 f16
InitialCC: haskell-sig
Comment 5 Gwyn Ciesla 2011-08-17 08:02:11 EDT
Git done (by process-git-requests).
Comment 6 Jens Petersen 2011-08-17 21:04:18 EDT
Packages built
Comment 7 Fedora Update System 2011-08-17 21:05:21 EDT
ghc-case-insensitive-0.2.0.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-case-insensitive-0.2.0.2-1.fc15
Comment 8 Fedora Update System 2011-08-17 21:05:30 EDT
ghc-case-insensitive-0.2.0.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-case-insensitive-0.2.0.2-1.fc16
Comment 9 Fedora Update System 2011-08-17 21:05:38 EDT
ghc-case-insensitive-0.2.0.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-case-insensitive-0.2.0.2-1.fc14
Comment 10 Fedora Update System 2011-08-18 18:03:41 EDT
Package ghc-case-insensitive-0.2.0.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-case-insensitive-0.2.0.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ghc-case-insensitive-0.2.0.2-1.fc16
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2011-08-30 16:38:43 EDT
ghc-case-insensitive-0.2.0.2-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2011-08-30 21:27:01 EDT
ghc-case-insensitive-0.2.0.2-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 13 Fedora Update System 2011-08-30 21:41:30 EDT
ghc-case-insensitive-0.2.0.2-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.